import type { ErrorType } from '../../errors/utils.js';
export type FormatUnitsErrorType = ErrorType;
/**
 *  Divides a number by a given exponent of base 10 (10exponent), and formats it into a string representation of the number..
 *
 * - Docs: https://viem.sh/docs/utilities/formatUnits.html
 *
 * @example
 * import { formatUnits } from 'viem'
 *
 * formatUnits(420000000000n, 9)
 * // '420'
 */
export declare function formatUnits(value: bigint, decimals: number): string;
//# sourceMappingURL=formatUnits.d.ts.map